# General functions for console and general purpose.

import subprocess
import platform
import time


# Start an external process like in commandline with parameters.
def execute_commandline_process(commandlist):
    subprocess.run(commandlist)


# Opens a file like with double clicking in explorer.
def open_file(path):
    if platform.system() == "Windows":
        os.startfile(path)
    elif platform.system() == "Darwin":
        subprocess.Popen(["open", path])
    else:
        subprocess.Popen(["xdg-open", path])


# Opens a directory in an explorer window.
def open_folder(path):
    if platform.system() == "Windows":
        subprocess.Popen(['explorer', path])

    elif platform.system() == "Darwin":
        print("Mac OS X and i OS not implemented yet")
    else:
        print('not implemented yet')


def getDateString():
    return time.strftime("%Y-%m-%d")
